Subject: Re: bug#32875: Network problem during pull triggers bug alert

From: zimoun <[email-masked]>
Date: Mon, 11 Jan 2021 16:42:18 +0100

Hi,

On Sat, 19 Dec 2020 at 00:40, zimoun <[email-masked]> wrote:

> This bug #32875 seems about a transient network issue.
>
>   <http://issues.guix.gnu.org/issue/32875>
>
> If no moreinfo is provided, I will close it after the usual 3 weeks
> delay.
>
>
> On Sat, 29 Sep 2018 at 11:49, Bake Timmons <[email-masked]> wrote:
>> I just tried a pull and suppose that a network problem prevented access
>> to git.savannah.gnu.org.  A bug alert followed, and the transcript is
>> attached.  Thanks!
>>
>> --8<---------------cut here---------------start------------->8---
>> guix pull --no-substitutes --verbose

[...]

>> guix pull: error: You found a bug: the program '/gnu/store/r8zwbgh20pvz8fibh117whskk8if3kg0-compute-guix-derivation'
>> failed to compute the derivation for Guix (version: "6f91223fd4889301a099f75ecc855031a300fcfe"; system: "x86_64-linux";
>> host version: "2cf2c778846153f3d5a56e98232fbef6f71b57a6"; pull-version: 1).
>> Please report it by email to <[email-masked]>.
>> --8<---------------cut here---------------end--------------->8---
>
> I guess, it is before inferiors and “time-machine” seems not doable from
> 2cf2c778846153f3d5a56e98232fbef6f71b57a6.  My attempt fails.

Since it seems transient and it is not possible to investigate more, I
am closing.  If I am missing something, please reopen it.

All the best,
simon